-- cdotnet.sql - creates IBM Informix .NET Provider support procedures and SQL objects
-- DBA runs this file (against sysmaster only) to create stored procedures
-- provider needs to connect to any database on the server

DATABASE sysmaster;
CREATE PROCEDURE dotnet_isnull (x VARCHAR(32)) RETURNING INTEGER;
    IF x IS NULL THEN 
        RETURN 1; 
    ELSE 
        RETURN 0;
    END IF;
END PROCEDURE;
